Subject: Last Call summary on draft-yevstifeyev-tn3270-uri

From: Mykyta Yevstifeyev <[email-masked]>
Date: Wed, 26 Jan 2011 12:22:12 +0200

Hello all,

This message summarizes the Last Call on draft-yevstifeyev-tn3270-uri 
(http://tools.ietf.org/id/draft-yevstifeyev-tn3270-uri-13.txt).

Firstly, some statistical information.  The Last Call was requested by 
Peter Saint-Andre on 4 January, 2011 and was announced on 4 January, 
2011.  The Last Call ends on 1 February, 2011.  The LC announcement has 
been sent out to IETF Discussion, uri-review and [email-masked] mailing 
lists.  A number of comments have been received during the Last Call.  
The most current version - 13 - I have just uploaded is believed to 
resolve them.  Moreover, a number of improvements have been made to 
improve the document quality.

Secondly, here is the exhaustive list of differences between the 12 
version and 13 version.

/Intended status/ - did not change: Informational;

/Title/ - changed.  Was *The 'tn3270' Uniform Resource Identifier 
Scheme* and now is *The 'tn3270' Uniform Resource Identifier (URI) 
Scheme*.  I'm asking Peter to change the write0up in accordance to this.

/Abstract/ - did not change;

/Introduction/ - changed.  Added the RFC 2119 boilerplate (now used 
throughout the document); added the reference to IANA registry; 
clarified the purpose of the document; some other minor changes.

/Scheme definition/ - changed.  Splitted the designated service into 
Telnet 3270 and Telnet 3270 Enchanted, added the reference to IBM 
Publication GA23-0059, related to 3270 data stream; added the reference 
to RFC 3049, related to TN3270E; clarified the URI syntax, as follows.  Was:
> The 'tn3270' URI takes the following form (given in ABNF, as
>     described inRFC 5234  <http://tools.ietf.org/html/rfc5234>  [RFC5234  <http://tools.ietf.org/html/rfc5234>]):
>
>     tn3270uri = "tn3270:" "//" authority ["/"]
>
>     The 'authority' rule is defined inRFC 3986  <http://tools.ietf.org/html/rfc3986>  [RFC3986  <http://tools.ietf.org/html/rfc3986>]. The final
>     character "/" can be omitted.
>

Now:

>    The 'tn3270' URI takes the following form (given in ABNF, as
>     described inRFC 5234  <http://tools.ietf.org/html/rfc5234>  [RFC5234  <http://tools.ietf.org/html/rfc5234>]):
>
>     tn3270uri = "tn3270:" hier-part
>     hier-part = "//" authority ["/"]
>                 ;the URI takes the form
>                 ;tn3270://<user>:<password>@<host>:<port>/
>                 ;that is formally defined via the 'authority'
>
>     The 'authority' rule is specified inRFC 3986  <http://tools.ietf.org/html/rfc3986>  [RFC3986  <http://tools.ietf.org/html/rfc3986>].  If 'port'
>     (in the 'authority' part) is omitted, it SHALL default to 21.  The
>     final character "/" MAY be omitted.

/Security Considerations/ - changed.  Clarified why there are no other 
security considerations for 'tn3270' scheme other than the 'telnet' one has.

/IANA Considerations/ - changed.  added the reference to RFC 4395; 
changed the description of protocol, that uses the scheme in accordance 
with Section 2; changed the Contact and author to IESG and IETF, 
respectively.

/References/ - RFC 4395 is now Informative; added the references to RFC 
3049, IANA registry and IBM Publication GA23-0059.

/Acknowledgments/ - corrected the typographical mistake in the last name 
of Alfred Hoenes.

/Author's addresses/ - changed, clarified the address.

Lastly, during the LC the document was reviewed by IANA, GenART and 
OPS-DIR Review Team.  I'm citing their reviews.

IANA:
> IANA understands that, upon approval of this document, there is a single
> Action that IANA needs to complete.
>
> In the URI schemes registry located at:
>
> http://www.iana.org/assignments/uri-schemes.html
>
> in the Provisional URI Schemes section, the follow registration will be
> added:
>
> URI Scheme: tn3270
> Description: TN3270 Telnet Service
> Reference: [RFC-to-be]
>
> IANA understands that this is the only action required upon approval of
> this document. 

GenART:

> I am the assigned Gen-ART reviewer for this draft. For background on
> Gen-ART, please see the FAQ at
> <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
>
> Please resolve these comments along with any other Last Call comments
> you may receive.
>
> Document: draft-yevstifeyev-tn3270-uri-12
> Reviewer: Vijay K. Gurbani
> Review Date: Jan-14-2011
> IETF LC End Date: Feb-02-2011
> IESG Telechat date: Unknown
>
> Summary: This draft is ready as an Informational RFC.
>
> Major issues: 0
> Minor issues: 0
> Nits/editorial comments: 0
>
> Thanks,
>
> - vijay
> -- 
> Vijay K. Gurbani, Bell Laboratories, Alcatel-Lucent
> 1960 Lucent Lane, Rm. 9C-533, Naperville, Illinois 60566 (USA)
> Email: vkg@{bell-labs.com,acm.org} / [email-masked]
> Web: http://ect.bell-labs.com/who/vkg/

OPS-DIR:

> -----Original Message-----
> From:[email-masked]  [mailto:[email-masked]] On
> Behalf Of ext Ersue, Mehmet (NSN - DE/Munich)
> Sent: Wednesday, January 12, 2011 1:07 PM
> To:[email-masked]
> Cc:[email-masked]
> Subject: [OPS-DIR] OPS-DIR Review of draft-yevstifeyev-tn3270-uri-12
>
> I reviewed draft-yevstifeyev-tn3270-uri-12 for its operational impacts..
>
> Summary:
> The document gives a specification of syntax, semantics and use of
> 'tn3270' URI scheme.
>
> Obviously this is an individual submission without any document write-up
> and supporting AD.
> I would like to read a document write-up with the regular template even
> if it is written by the author.
>
> The main purpose of the document, namely to update the IANA registration
> of tn3270 URI scheme using the given registration template, should be
> added to the Introduction section. In general I would suggest to include
> in the Introduction section the purpose of the action and more
> importantly why existing IANA registrations are not sufficient and why
> the publication of this RFC is needed.
>
> Obviously the GEN-Area reviewer (Tom Petch) has an opposite opinion and
> does not see this IANA registration in the interest of IETF (see
> https://www.ietf.org/ibin/c5i?mid=6&rid=49&gid=0&k1=933&k2=55119&tid=129
> 4831574). The reviewer furthermore states, following the rules in
> RFC4395 the document should provide concrete contact information for the
> editor instead of an anonymous email address only.
>
> I don't see any additional operation impact other than above.
>
> Other issues:
>
> - The used language needs some polishing.
>
> - Following are draft nits suggesting correction:
>
> == The copyright year in the IETF Trust and authors Copyright Line does
> not
>     match the current year
>
> ->  Use new template or: s/2010/2011/
>
> -- Obsolete informational reference (is this intentional?): RFC 1738
>     (Obsoleted by RFC 4248, RFC 4266)
>
> ->  Use correct reference or clarify.
>
>
> Mehmet
>
> _______________________________________________
> OPS-DIR mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ops-dir
>
The most current version is believed to resolve all the comments received.

No changes are intended to be made up to the end of the LC.  This 
message is to allow the IESG to preliminarily review the doc.

Looking forward for the decision of IESG,
Mykyta Yevstifeyev